#pragma once

#include <SDL3/SDL.h>  // Para SDL_Texture, SDL_Window
#include <string>  // Para basic_string, string

namespace shader {
bool init(SDL_Window *ventana, SDL_Texture *texturaBackBuffer, const std::string &vertexShader, const std::string &fragmentShader = "");
void render();
}  // namespace shader